> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # EditCallList POST https://api.voximplant.com/platform_api/EditCallList Edits the specified call list by its ID. Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/edit-call-list ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `list_id` (integer, required) — Call list ID. If the ID is non existing, the 251 error returns - `interval_seconds` (integer, optional) — Minimum interval between call attempts. Cannot be a negative value - `num_attempts` (integer, optional) — Maximum call attempt number. Cannot be less than 1 - `max_simultaneous` (integer, optional) — Maximum simultaneous call attempts for this call list. Cannot be less than 1 - `ip_address` (string, optional) — IP address in the `Inet4Address` format - `name` (string, optional) — Call list name. Cannot be bigger than 255 characters, cannot contain slash symbol - `priority` (integer, optional) — Call list's priority among other call list. The lower the value, the higher is the call list's priority - `start_at` (string, optional) — Time when the call list should start in the `yyyy-MM-dd HH:mm:ss` format - `task_priority_strategy` (string, optional) — Optional. Whether to prioritize first calling attempts or repeated ones. The possible values are: first_attempts, repeated_attempts. The default values is first_attempts - `server_location` (string, optional) — Location of the server processing the call list. If the ID is non existing, the 496 error returns: The 'server_location' parameter is invalid. ## Response ### 200 Successful response - `result` (boolean, optional) — Whether the request completed successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": true } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/EditCallList" querystring = {"list_id":"12345","interval_seconds":"60","num_attempts":"3","max_simultaneous":"5","ip_address":"192.168.1.100","name":"Customer Support Call List","priority":"10","start_at":"2024-07-01 09:00:00","task_priority_strategy":"first_attempts","server_location":"us-east-1"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/EditCallList?list_id=12345&interval_seconds=60&num_attempts=3&max_simultaneous=5&ip_address=192.168.1.100&name=Customer+Support+Call+List&priority=10&start_at=2024-07-01+09%3A00%3A00&task_priority_strategy=first_attempts&server_location=us-east-1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```